Subject: Re: bug#22602: Patch to enable webgl and javascript debug on xwidget-webkit

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 12 Aug 2020 14:09:20 +0200

(I'm going through old bug reports that unfortunately got no response at
the time.)

"anderson.marco" <[email-masked]> writes:

> Webkit in emacs 25.0.90 haven't supports  webgl and javascript debug. I makes a 
> patch short to correct this problem.  This patch is annexed in this email. 
> Forgive my english. I just know write a little english. 

This was more than four years ago, and there's been a large number of
changes to the xwidget code in Emacs, so the patch no longer applies.

> +          WebKitWebSettings *settings =webkit_web_view_get_settings (WEBKIT_WEB_VIEW(xw->widget_osr));
> +
> +          g_object_set (G_OBJECT(settings), "enable-webgl", TRUE, NULL);
> +          g_object_set (G_OBJECT(settings), "enable-developer-extras",TRUE,NULL);         

So I wonder whether this is still something that's necessary?  It's
surprising to me that webkit doesn't enable webgl by default, for instance.

> +WebKitWebView* inspect_web_view(WebKitWebInspector *web_inspector, 
> +                                WebKitWebView      *web_view, gpointer user_data)

Also -- how is this inspect_web_view function supposed to be used?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no